API endpoint
https://dlx-analytics.com/api/v1/websites
Request example
curl --location --request GET 'https://dlx-analytics.com/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
domain für Domain. Standardmäßig ist: domain.
favorite
sort_by
id für Erstellt am, domain für Domain. Standardmäßig ist: id.
sort
desc für Absteigend, asc für Aufsteigend. Standardmäßig ist: desc.
per_page
10, 25, 50, 100. Standardmäßig ist: 100.
API endpoint
https://dlx-analytics.com/api/v1/websites/{id}
Request example
curl --location --request GET 'https://dlx-analytics.com/api/v1/websites/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
API endpoint
https://dlx-analytics.com/api/v1/websites
Request example
curl --location --request POST 'https://dlx-analytics.com/api/v1/websites' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'domain={domain}'
Parameters
domain
privacy
0 für Öffentlich, 1 für Privat, 2 für Passwort.Standardmäßig ist: 1.
password
privacy field set to 2.
email
0 für Deaktiviert, 1 für Aktiviert. Standardmäßig ist: 0.
exclude_bots
0 für Deaktiviert, 1 für Aktiviert. Standardmäßig ist: 1.
exclude_params
exclude_ips
favorited_at
Y-m-dTH:i:s format.
API endpoint
https://dlx-analytics.com/api/v1/websites/{id}
Request example
curl --location --request PUT 'https://dlx-analytics.com/api/v1/websites/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
privacy
0 für Öffentlich, 1 für Privat, 2 für Passwort.
password
privacy field set to 2.
email
0 für Deaktiviert, 1 für Aktiviert.
exclude_bots
0 für Deaktiviert, 1 für Aktiviert.
exclude_params
exclude_ips
favorited_at
Y-m-dTH:i:s format.
API endpoint
https://dlx-analytics.com/api/v1/websites/{id}
Request example
curl --location --request DELETE 'https://dlx-analytics.com/api/v1/websites/{id}' \ --header 'Authorization: Bearer {api_key}'